Differences between revisions 6 and 8 (spanning 2 versions)
Revision 6 as of 2009-03-16 03:29:46
Size: 950
Editor: anonymous
Comment: converted to 1.6 markup
Revision 8 as of 2012-08-07 20:39:49
Size: 784
Editor: Calinou
Comment: rm. dead link
Deletions are marked like this. Additions are marked like this.
Line 2: Line 2:

~-Translation(s): [[it/SystemDowngrade|Italiano]] -~
Line 7: Line 9:
 * short answer: '''No, it isn't supported'''.
 * long answer: It isn't supported because 1. The packages' installation scripts (postinst...) are designed to handled upgrade only. 2. The installation tools are ''designed'' to replace older versions of packages by newer versions.
 * Short answer: '''No, it isn't supported'''.
 * Long answer: It isn't supported because 1. The packages' installation scripts (postinst...) are designed to handled upgrade only. 2. The installation tools are ''designed'' to replace older versions of packages by newer versions.
Line 11: Line 13:
 1. Make a backup of your system before you upgrade, so you can restore your backup to "downgrade" it !
 2. ''or'' Re-install.

= How to downgrade a system? =
Be warned: you will be alone! However, Auke Jilderda wrote about the experience back in 2002: [[http://people.debian.org/~osamu/pub/downgrade.html]] (plus some comments from Osamu Aoki)
 1. Make a backup of your system before you upgrade, so you can restore your backup to "downgrade" it!
 2. ''or'' re-install.

Translation(s): Italiano

What is "downgrading a system"?

In Debian world, it means to move to an older distribution (typically, to move from unstable to testing). Do not expect to get anything stable by downgrading!

Is it supported?

  • Short answer: No, it isn't supported.

  • Long answer: It isn't supported because 1. The packages' installation scripts (postinst...) are designed to handled upgrade only. 2. The installation tools are designed to replace older versions of packages by newer versions.

So, what's the supported way?

  1. Make a backup of your system before you upgrade, so you can restore your backup to "downgrade" it!
  2. or re-install.